<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_aktifitas}">
<head>
    <meta charset="UTF-8">
    <title>Absen Mahasiswa</title>
</head>
<body>
<div layout:fragment="aktifitas" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">Absen Mahasiswa</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <!--Show entries <span sd:page-size-selector="javascript"></span>-->
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <!--<a th:href="@{/aktifitas/absen_temporer/new}" name="tambah" type="button" class="btn btn-block btn-primary">+ Absen Temporer</a>-->
                        </div>
                    </div>


                    <div class="col-md-6" align="right">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <form th:action="@{/aktifitas/absensi_temporer/save}" th:object="${penjadwalan}" method="POST">
            <input type="hidden" th:field="*{id}">
            <div class="box-body table-responsive no-padding">
                <table class="table table-bordered">
                    <tr>
                        <th style="width: 10px">No</th>
                        <th>NIM</th>
                        <th>Nama</th>
                        <th>Pembina</th>
                        <th>Option</th>
                    </tr>

                    <tr th:each="x,i : ${listPlotingMahasiswa.content}">
                        <td th:text="${(listPlotingMahasiswa.number * listPlotingMahasiswa.size) + i.count}"></td>
                        <td th:text="${x.mahasiswa.nama}"></td>
                        <td th:text="${x.mahasiswa.nim}"></td>
                        <td th:text="${x.pembina.namaKaryawan}"></td>
                        <td>
                            <div class="form-group">
                                <input type="hidden" th:name="${'absenMahasiswas['+i.index+'].mahasiswa'}" th:value="${x.mahasiswa.id}">
                                <input type="hidden" th:name="${'absenMahasiswas['+i.index+'].kegiatanTemporer'}" th:value="${penjadwalan.id}">
                                <select th:name="${'absenMahasiswas['+i.index+'].statusPresensi'}">
                                    <option th:each="state : ${T(id.ac.tazkia.matrikulasi.entity.StatusPresensi).values()}"
                                            th:value="${state}"
                                            th:selected="${x.mahasiswa.statusPresensi != null && #strings.equals(x.mahasiswa.statusPresensi, state)}"
                                            th:text="${state}">
                                    </option>
                                </select>
                            </div>
                        </td>
                    </tr>
                    <tr th:if="${#lists.isEmpty(listPlotingMahasiswa.content)}">
                        <td colspan="5" class="text-center"> Data Not Found</td>
                    </tr>
                </table>
            </div>

            <div class="box-footer clearfix">
                <a th:href="@{/aktifitas/absensi_temporer}" class="btn btn-default">Cancel</a>
                <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>
            </div>

            <div class="box-footer clearfix">
                <ul class="pagination pagination-sm no-margin pull-right">
                    <li class="disabled"><a href="#" aria-label="Previous"><span
                            aria-hidden="true">&laquo;</span></a>
                    </li>
                    <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                    </li>
                </ul>
            </div>
        </form>
    </div>
</div>
</body>
</html>